Hive
  1. Hive
  2. HIVE-2552

Omit incomplete Postgres upgrade scripts from release tarball

    Details

    • Hadoop Flags:
      Reviewed
    • Release Note:
      For the Hive 0.8 release, metastore persistence in Postgres is not officially supported.

      Description

      The Postgres metastore upgrade scripts are not officially supported, and at this point are incomplete. We should not include them in the release artifacts.

        Issue Links

          Activity

          Hide
          Carl Steinbach added a comment -

          @John: Can you please take a look at this? Thanks.

          Show
          Carl Steinbach added a comment - @John: Can you please take a look at this? Thanks.
          Hide
          jiraposter@reviews.apache.org added a comment -

          -----------------------------------------------------------
          This is an automatically generated e-mail. To reply, visit:
          https://reviews.apache.org/r/2876/
          -----------------------------------------------------------

          Review request for hive and John Sichi.

          Summary
          -------

          • Add 'include.postgres' build property. When set to true, Postgres upgrade scripts are included in the release tarballs. When unset, these scripts are excluded from the release tarballs.

          This addresses bug HIVE-2552.
          https://issues.apache.org/jira/browse/HIVE-2552

          Diffs


          build.xml 2dd245d

          Diff: https://reviews.apache.org/r/2876/diff

          Testing
          -------

          Thanks,

          Carl

          Show
          jiraposter@reviews.apache.org added a comment - ----------------------------------------------------------- This is an automatically generated e-mail. To reply, visit: https://reviews.apache.org/r/2876/ ----------------------------------------------------------- Review request for hive and John Sichi. Summary ------- Add 'include.postgres' build property. When set to true, Postgres upgrade scripts are included in the release tarballs. When unset, these scripts are excluded from the release tarballs. This addresses bug HIVE-2552 . https://issues.apache.org/jira/browse/HIVE-2552 Diffs build.xml 2dd245d Diff: https://reviews.apache.org/r/2876/diff Testing ------- Thanks, Carl
          Hide
          Ashutosh Chauhan added a comment -

          +1 Looks good to me. I think we should include in our release note that we are effectively dropping support for postgres for metastore.

          Show
          Ashutosh Chauhan added a comment - +1 Looks good to me. I think we should include in our release note that we are effectively dropping support for postgres for metastore.
          Hide
          John Sichi added a comment -

          Committed to trunk and 0.8. Thanks Carl!

          Show
          John Sichi added a comment - Committed to trunk and 0.8. Thanks Carl!
          Hide
          John Sichi added a comment -

          Added the release note to this issue.

          Show
          John Sichi added a comment - Added the release note to this issue.
          Hide
          Hudson added a comment -

          Integrated in Hive-0.8.0-SNAPSHOT-h0.21 #102 (See https://builds.apache.org/job/Hive-0.8.0-SNAPSHOT-h0.21/102/)
          HIVE-2552. Omit incomplete Postgres upgrade scripts from release tarball
          (Carl Steinbach via jvs)

          jvs : http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1203844
          Files :

          • /hive/branches/branch-0.8/build.xml
          Show
          Hudson added a comment - Integrated in Hive-0.8.0-SNAPSHOT-h0.21 #102 (See https://builds.apache.org/job/Hive-0.8.0-SNAPSHOT-h0.21/102/ ) HIVE-2552 . Omit incomplete Postgres upgrade scripts from release tarball (Carl Steinbach via jvs) jvs : http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1203844 Files : /hive/branches/branch-0.8/build.xml
          Hide
          Hudson added a comment -

          Integrated in Hive-trunk-h0.21 #1098 (See https://builds.apache.org/job/Hive-trunk-h0.21/1098/)
          HIVE-2552. Omit incomplete Postgres upgrade scripts from release tarball
          (Carl Steinbach via jvs)

          jvs : http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1203843
          Files :

          • /hive/trunk/build.xml
          Show
          Hudson added a comment - Integrated in Hive-trunk-h0.21 #1098 (See https://builds.apache.org/job/Hive-trunk-h0.21/1098/ ) HIVE-2552 . Omit incomplete Postgres upgrade scripts from release tarball (Carl Steinbach via jvs) jvs : http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1203843 Files : /hive/trunk/build.xml

            People

            • Assignee:
              Carl Steinbach
              Reporter:
              Carl Steinbach
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development